package rs485.network.breakpoint

import com.intellij.openapi.project.Project
import com.intellij.openapi.startup.ProjectActivity
import com.intellij.xdebugger.XDebuggerManager

class PostStartupListener : ProjectActivity {
    override suspend fun execute(project: Project) {
        val connection = project.messageBus.connect()
        val executionListener = LWJGLExitMouseGrabDebuggerManagerListener()
        connection.subscribe(XDebuggerManager.TOPIC, executionListener)
    }
}
